Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Get a promotion

GET
/api/v3/promotions/{promotionCollateralUid}
curl --request GET \
--url 'https://api.tryletterhead.com/api/v3/promotions/example?api=true' \
--header 'Authorization: Bearer <token>'

Fetch a single promotion by its promotionCollateralUid. Response includes nested metrics for letters that have used this promotion.

v3 endpoints expect a company API key.

promotionCollateralUid
required
string

UUID of the promotion to delete

api
required
boolean

When set to true, the endpoint accepts authorization with your API Key.

page
integer

Pagination for the nested letters list (default 1)

200 OK

Media type application/json
object
items
object
promotionCollateralUid
string
campaignTitle
string
channels
Array<string>
allChannels
boolean
headline
string
contentText
string
imageUrl
string
imageAlternativeText
string
imageWidth
integer
imageHeight
integer
promotionLink
string
promoter
string
promotionServiceProviderId
integer
dates
Array<string>
isActive
boolean
isInactive
boolean
isEvergreen
boolean
embedClicks
integer
zone
string
type
integer
letters
object
items
Array<object>
object
title
string
publicationDate
string
channel
string
impressions
integer
clicks
integer
total
integer
totalPages
integer
createdAt
string
updatedAt
string
message
string
total
integer
Example
{
"items": {
"promotionCollateralUid": "b2c3d4e5f6",
"campaignTitle": "Summer Sale 2026",
"channels": [
"news-daily"
],
"allChannels": false,
"headline": "50% off summer collection",
"contentText": "Limited-time offer on all summer items.",
"imageUrl": "https://cdn.example.com/summer-sale.png",
"imageAlternativeText": "Summer sale banner",
"imageWidth": 600,
"imageHeight": 400,
"promotionLink": "https://example.com/summer-sale",
"promoter": "Example Brand",
"promotionServiceProviderId": 0,
"dates": [
"2026-07-01"
],
"isActive": true,
"isInactive": false,
"isEvergreen": false,
"embedClicks": 0,
"zone": "A",
"type": 2,
"letters": {
"items": [
{
"title": "Daily Edition — July 1",
"publicationDate": "2026-07-01",
"channel": "news-daily",
"impressions": 1240,
"clicks": 38
}
],
"total": 1,
"totalPages": 1
},
"createdAt": "2026-06-04 17:30:00",
"updatedAt": "2026-06-04 17:30:00"
},
"message": "Promotion fetched successfully",
"total": 1
}

404 Not Found

Media type application/json
object
items
Array<object>
object
message
string
total
integer
Example
{
"items": [],
"message": "Promotion not found",
"total": 0
}

Still can’t find what you need? Contact support.